Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCast™ API
  • Lightning API
  • Enterprise APIs
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

© 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Current Conditions
Daily Forecasts
Hourly Forecasts
Alerts
Locations
Indices
Tropical
Alarms
    Location Key
      1 day by location keyget5 days by location keyget10 days by location keyget15 days by location keyget
Imagery Maps
Translations
Schemas
Core Weather
Core Weather

Location Key


1 day by location key

GET
https://dataservice.accuweather.com
/alarms/v1/1day/{locationKey}

Returns 1 day of weather alarms for a specific location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

AccuWeather Weather Alarms are determined using the daily forecasts for a location. An alarm exists for a location if the forecasted weather meets or exceeds specific thresholds, such as temperature extremes, heavy rainfall, or high wind speeds.

1 day by location key › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

1 day by location key › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

1 day by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

1 day by location key › Responses

OK

​API.Alarms.Entities.OpenAPI.DailyAlarm[]
API.Alarms.Entities.OpenAPI.DailyAlarm
Date
​string · date-time · required

The date for which the alarms exist as displayed in ISO8601 format: (yyyy-mm-ddThh:mm:ss±hh:mm).

EpochDate
​integer · int64 · required

Date of the forecast, displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

​API.Alarms.Entities.OpenAPI.Alarm[] · required

A list of alarms that exist for the location on that date.

MobileLink
​string · uri · required

Link to AccuWeather's mobile site.

Link
​string · uri · required

Link to AccuWeather's traditional site.

GET/alarms/v1/1day/{locationKey}
curl https://dataservice.accuweather.com/alarms/v1/1day/:locationKey \ --header 'Authorization: <api-key>'
Example Responses
[ { "Date": "2024-08-25T15:00:00Z", "EpochDate": 0, "Alarms": [ { "AlarmType": "AlarmType", "Value": {}, "Day": {}, "Night": {} } ], "MobileLink": "https://www.example.com/path/to/resource", "Link": "https://www.example.com/path/to/resource" } ]
json
application/json

5 days by location key

GET
https://dataservice.accuweather.com
/alarms/v1/5day/{locationKey}

Returns 5 days of weather alarms for a specific location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

AccuWeather Weather Alarms are determined using the daily forecasts for a location. An alarm exists for a location if the forecasted weather meets or exceeds specific thresholds, such as temperature extremes, heavy rainfall, or high wind speeds.

5 days by location key › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

5 days by location key › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

5 days by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

5 days by location key › Responses

OK

​API.Alarms.Entities.OpenAPI.DailyAlarm[]
API.Alarms.Entities.OpenAPI.DailyAlarm
Date
​string · date-time · required

The date for which the alarms exist as displayed in ISO8601 format: (yyyy-mm-ddThh:mm:ss±hh:mm).

EpochDate
​integer · int64 · required

Date of the forecast, displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

​API.Alarms.Entities.OpenAPI.Alarm[] · required

A list of alarms that exist for the location on that date.

MobileLink
​string · uri · required

Link to AccuWeather's mobile site.

Link
​string · uri · required

Link to AccuWeather's traditional site.

GET/alarms/v1/5day/{locationKey}
curl https://dataservice.accuweather.com/alarms/v1/5day/:locationKey \ --header 'Authorization: <api-key>'
Example Responses
[ { "Date": "2024-08-25T15:00:00Z", "EpochDate": 0, "Alarms": [ { "AlarmType": "AlarmType", "Value": {}, "Day": {}, "Night": {} } ], "MobileLink": "https://www.example.com/path/to/resource", "Link": "https://www.example.com/path/to/resource" } ]
json
application/json

10 days by location key

GET
https://dataservice.accuweather.com
/alarms/v1/10day/{locationKey}

Returns 10 days of weather alarms for a specific location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

AccuWeather Weather Alarms are determined using the daily forecasts for a location. An alarm exists for a location if the forecasted weather meets or exceeds specific thresholds, such as temperature extremes, heavy rainfall, or high wind speeds.

10 days by location key › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

10 days by location key › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

10 days by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

10 days by location key › Responses

OK

​API.Alarms.Entities.OpenAPI.DailyAlarm[]
API.Alarms.Entities.OpenAPI.DailyAlarm
Date
​string · date-time · required

The date for which the alarms exist as displayed in ISO8601 format: (yyyy-mm-ddThh:mm:ss±hh:mm).

EpochDate
​integer · int64 · required

Date of the forecast, displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

​API.Alarms.Entities.OpenAPI.Alarm[] · required

A list of alarms that exist for the location on that date.

MobileLink
​string · uri · required

Link to AccuWeather's mobile site.

Link
​string · uri · required

Link to AccuWeather's traditional site.

GET/alarms/v1/10day/{locationKey}
curl https://dataservice.accuweather.com/alarms/v1/10day/:locationKey \ --header 'Authorization: <api-key>'
Example Responses
[ { "Date": "2024-08-25T15:00:00Z", "EpochDate": 0, "Alarms": [ { "AlarmType": "AlarmType", "Value": {}, "Day": {}, "Night": {} } ], "MobileLink": "https://www.example.com/path/to/resource", "Link": "https://www.example.com/path/to/resource" } ]
json
application/json

15 days by location key

GET
https://dataservice.accuweather.com
/alarms/v1/15day/{locationKey}

Returns 15 days of weather alarms for a specific location, using a locationKey obtained from another endpoint (e.g., city search or geoposition)

AccuWeather Weather Alarms are determined using the daily forecasts for a location. An alarm exists for a location if the forecasted weather meets or exceeds specific thresholds, such as temperature extremes, heavy rainfall, or high wind speeds.

15 days by location key › path Parameters

locationKey
​string · required

A unique ID that designates a specific location. More information can be found here.

Example: 349727

15 days by location key › query Parameters

language
​string

A string that indicates the language in which to return the response. More information can be found here.

Default: en-us
format
​string

A string value that specifies what type of format to provide the response.

Default: json

15 days by location key › Headers

Authorization
​string · required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

15 days by location key › Responses

OK

​API.Alarms.Entities.OpenAPI.DailyAlarm[]
API.Alarms.Entities.OpenAPI.DailyAlarm
Date
​string · date-time · required

The date for which the alarms exist as displayed in ISO8601 format: (yyyy-mm-ddThh:mm:ss±hh:mm).

EpochDate
​integer · int64 · required

Date of the forecast, displayed as the number of seconds that have elapsed since January 1, 1970 (midnight UTC/GMT).

​API.Alarms.Entities.OpenAPI.Alarm[] · required

A list of alarms that exist for the location on that date.

MobileLink
​string · uri · required

Link to AccuWeather's mobile site.

Link
​string · uri · required

Link to AccuWeather's traditional site.

GET/alarms/v1/15day/{locationKey}
curl https://dataservice.accuweather.com/alarms/v1/15day/:locationKey \ --header 'Authorization: <api-key>'
Example Responses
[ { "Date": "2024-08-25T15:00:00Z", "EpochDate": 0, "Alarms": [ { "AlarmType": "AlarmType", "Value": {}, "Day": {}, "Night": {} } ], "MobileLink": "https://www.example.com/path/to/resource", "Link": "https://www.example.com/path/to/resource" } ]
json
application/json

ForecastLocation Key